petsc-3.4.2 2013-07-02

# PetscMalloc3

Allocates 3 chunks of memory all aligned to PETSC_MEMALIGN

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMalloc3(size_t m1,type, t1,void **r1,size_t m2,type t2,void **r2,size_t m3,type t3,void **r3)

Not Collective

### Input Parameter

| m1 | - number of elements to allocate in 1st chunk (may be zero)
| t1 | - type of first memory elements
| m2 | - number of elements to allocate in 2nd chunk (may be zero)
| t2 | - type of second memory elements
| m3 | - number of elements to allocate in 3rd chunk (may be zero)
| t3 | - type of third memory elements

### Output Parameter

| r1 | - memory allocated in first chunk
| r2 | - memory allocated in second chunk
| r3 | - memory allocated in third chunk

### See Also

PetscFree(), PetscNew(), PetscMalloc(), PetscMalloc2(), PetscFree3()

Level:developer
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex52.c.html
src/snes/examples/tutorials/ex52_integrateElement.cu.html
src/ts/examples/tutorials/ex9.c.html